2018-05-24 08:55 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001275FSSCPgraphicspublic2007-02-12 07:37
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformP4 2.8 HT - 1.5GB - 7800GSOSWindows XPOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001275: Some gauges are missing. (Radar and target info)
DescriptionWhen I target a ship some gauges dissapear (Missing Gauges.jpg):

+ Radar
+ Target name and class
+ Friendly target orders.
+ Hull strength (the bar in the right side of target view).
+ The linking lines in the left side of the target view.

If I turn off targeting (Alt-T), at least radar comes up again. (The other ones cannot be checked ;) ).

And also, when the HUD is shaking because afterburner acceleration or some kind of guns firing, the missing gauges blink on screen (HUD is shaking.jpg).

Of course, I'm using OGL. It doesn't matter if I use release or debug, windowed or full screen.
Additional InformationWith official 3.6.9. (latest version), this issue doesn't happen.

It has started happening with Taylor's beta builds (xxx-Xt_0124 and xxx-Xt_0127).

I'm no coder but I've build my own exe today (2006-02-11):
+Using Tortoise CVS to get fs_open_3_6_9 branch.
+With MS Visual C++ 6.0 I've opened projects\MSVC_6\Freespace2.dsw
+I've selected Build > Set Active Configuration... > Freespace2 - Win32 Debug or Release
+I've built it (Build > Build fs2_open_3_6_9_xxx.exe F7)

With this personal build it also happens. The screenshots I've uploaded are taken with this build in release flavour.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007619

ARSPR (reporter)

Just to make a test I've run D3D. Then the gauges are OK. I upload a screenshot (D3D is OK.jpg)


(BTW the ships are all white with D3D, but forget about this ... I DO KNOW D3D is not really supported so it can have weird behaviours)

~0007620

taylor (administrator)

No clue why it's a problem, but I'm pretty sure that I know what particular change(s) caused this.

I'm going to post a link to a test build here later tonight which should help narrow the problem down to a specific change that can be fixed.

~0007622

taylor (administrator)

Found and fixed.

Not really sure what the deal was though. Perhaps a driver bug, but whether that is a Windows driver bug or a Linux drvier bug is anyone's guess. :/

Anyway, I'll release a new build later tonight, get the fix in CVS, and that will be that.

~0007623

taylor (administrator)

Fixered.

(check your PMs later for the link to the new build)
+Notes

-Issue History
Date Modified Username Field Change
2007-02-11 21:29 ARSPR New Issue
2007-02-11 21:29 ARSPR File Added: Missing gauges.jpg
2007-02-11 21:30 ARSPR File Added: HUD is shaking.jpg
2007-02-11 21:48 ARSPR Note Added: 0007619
2007-02-11 21:48 ARSPR File Added: D3D is OK.jpg
2007-02-11 23:56 taylor Status new => assigned
2007-02-11 23:56 taylor Assigned To => taylor
2007-02-12 01:07 taylor Note Added: 0007620
2007-02-12 06:15 taylor Note Added: 0007622
2007-02-12 07:37 taylor Status assigned => resolved
2007-02-12 07:37 taylor Fixed in Version => 3.6.10
2007-02-12 07:37 taylor Resolution open => fixed
2007-02-12 07:37 taylor Note Added: 0007623
+Issue History